<script>
// #ifdef APP-PLUS
import APPUpdate, { getCurrentNo } from "@/config/appUpdate";
// #endif

export default {
  data() {
    return {
      version: "",
    };
  },
  onLaunch: function () {
    // #ifdef APP-PLUS
    getCurrentNo((res) => {
      this.version = res.version;
    });
    this.onAPPUpdate();
    // #endif
  },
  onShow: function () {},
  onHide: function () {},
  onBackPress: function () {},
  methods: {
    onAPPUpdate() {
      APPUpdate(this.version);
    },
  },
};
</script>

<style lang="scss">
// @import "./uni_modules/uview-ui/index.scss";
// @import "./uni_modules/uview-ui/theme.scss";
/*每个页面公共css */

@import "@/static/font/iconfont.css";
</style>
